.footer {
    background-color: var(--bg-secondary);
    color: #ffffff;
    padding: 50px 20px 20px;
    margin-top: 80px;
}

.footer-container {
    direction: ltr;
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
    margin-bottom: 30px;
    justify-content: space-between;
    align-items: start;
}

.footer-section h3 {
    direction: rtl;
    margin-bottom: 0.2rem;
    font-size: 18px;
    color: var(--text-dark);
}
.logo-footer{
    height: auto;
    width: 12rem;
    display: block;
    color: white;
}
.logo-footer:hover{
    color: white;
}
.footer-social-icons p{
    margin-top: 0.5rem;
    padding-left: 10px;
    
}
.footer-section p,
.footer-section a {
    font-size: 14px;
    line-height: 2;
    color: var(--text-dark-lighter);
    transition: var(--transition);
}

.footer-section a:hover {
    color: var(--text-link);
}

.footer-bottom {
    text-align: center;
    padding-top: 20px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    font-size: 14px;
    color: rgba(255, 255, 255, 0.6);
}
.footer-social-icons{
    direction: rtl;
    display: flex;
    max-height: 3rem;
}
.social-icon{
    
    display: block;
    color: white;
}
.social-icon svg {
    height: 1.3rem; 
    width: auto; 
    display: block;
    color: white;
    transition: all 0.3s ease-in-out;
}
.social-icon svg:hover{
    display: block;
    color: var(--primary-color);
}


@media (max-width: 768px) {
    .footer-container {
        grid-template-columns: 1fr;
        gap: 30px;
        text-align: center;
    }
    
    .footer {
        padding: 40px 20px 20px;
        margin-top: 60px;
    }
}


@media (max-width: 480px) {
    .footer {
        padding: 30px 15px 15px;
        margin-top: 40px;
        text-align: center; 
    }
    
    .footer-container {
        direction: rtl;
        display: grid;
        gap: 15px;
        margin-bottom: 15px;
        justify-items: center; 
    }
    
    .footer-section {
        display: flex;
        flex-direction: column;
        align-items: center; 
    }
    
    .footer-section h3 {
        font-size: 20px;
        margin-bottom: 15px;
        padding-bottom: 10px;
        margin-bottom: 0.3rem;
        text-align: center;
        width: 100%;
        border-bottom: 1px solid var(--hover-color);
    }
    
    .footer-section p,
    .footer-section a {
        font-size: 13px;
        line-height: 1.8;
        text-align: center;
        
    }
    
    .footer-social-icons {
        justify-content: center; 
    }
    
    .footer-bottom {
        font-size: 12px;
        padding-top: 15px;
        text-align: center;
    }
    
    .logo-footer {
        height: auto;
        width: 6rem;
        margin: 0 auto; 
        display: block;
    }
}
